#ifndef RECT_H
#define RECT_H

#include "../common/structs.h"

double intersect_rectangle(point* startP, vector* projV, object* plane, point* pntIntersect);
vector* normal_rectangle(point* q, object* objectHit, vector* n);
void rectangle_set(object *obj, char *key, char *value);
void rectangle_setd(object *obj, char *key, double value);
void rectangle_setup(object *obj);
object *rectangle_create(int obj_number);
void rectangle_from_points(object *obj, vector *vertices[4]);

typedef struct 
{
	double height;
	double width;
	
} rectangle_data;

#endif
